Connect with key
Run a key authentication method and store the resulting credential.
POST
/api/integration/{integrationID}/connect/keyPath parameters
integrationIDstringrequiredQuery parameters
locationobject | anyRequest body
requiredapplication/jsonkeystringrequiredlabelstring | anyShow propertiesHide properties
Any of:
string
stringany
anyResponses
204<No Content>
400InvalidRequestError
Any of:
InvalidRequestError1
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
anyInvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequiredRequest
curl -X POST "/api/integration/string/connect/key" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"label": "string"
}'const response = await fetch("/api/integration/string/connect/key", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"key": "string",
"label": "string"
})
});import requests
response = requests.post(
"/api/integration/string/connect/key",
headers={
"Content-Type": "application/json"
},
json={
"key": "string",
"label": "string"
},
)Response
<No Content>
{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}